UDEVADM(8)

BEZEICHNUNG
udevadm - Udev-Verwaltungswerkzeug

ÜBERSICHT

udevadm [--debug] [--version] [--help]

udevadm info [Optionen] [Gerätepfad]

udevadm trigger [Optionen] [Gerätepfad]

udevadm settle [Optionen]

udevadm control Option

udevadm monitor [Optionen]

udevadm test [Optionen] Gerätepfad

udevadm test-builtin [Optionen] Befehl Gerätepfad

BESCHREIBUNG

udevadm erwartet einen Befehl und befehlsspezifische Optionen. Es steuert das Laufzeitverhalten von systemd-udevd, fordert Kernelereignisse an, verwaltet die Ereigniswarteschlange und stellt einen einfachen Fehlersuchmechanismus bereit.

OPTIONEN

-d, --debug
    Gibt Fehlersuchmeldungen auf die Fehlerausgabe aus. Diese Option ist bei den Befehlen udevadm test und udevadm test-builtin impliziert.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

  udevadm info [Optionen] [Gerätepfad|Datei|Unit…]

Fragt die Udev-Datenbank nach Geräteinformationen.

Positionsargumente sollten zur Angabe eines oder mehrerer Geräte verwandt werden. Jedes kann ein Gerätename (dann muss es mit /dev/ beginnen), ein Sys-Pfad (dann muss es mit /sys/ beginnen) oder ein Systemd-Geräte-Unit-Name (dann muss es auf ».device« enden, siehe systemd.device(5)) sein.

-q, --query=TYP
    Fragt die Datenbank nach dem angegebenen Typ von Gerätedaten. Gültige TYPen sind: name, symlink, path, property, all.

--property=NAME
    Begrenzt die Anzeige der im Argument festgelegten Eigenschaften bei der Anzeige der Geräteoptionen mittels der Option --query=property. Das Argument sollte eine Kommata-getrennte Liste von Eigenschaftsnamen sein. Falls nicht angegeben, werden alle bekannten Eigenschaften angezeigt.

--value
    Gibt nur den Wert aus und überspringt den Eigenschaftsnamen und »=« bei der Anzeige von Geräteeigenschaften mittels der Option --query=property.

    Kann nicht zusammen mit -x/--export oder -P/--export-prefix verwandt werden.

-p, --path=GERÄTEPFAD
    Der /sys/-Pfad des abzufragenden Gerätes, z.B. [/sys/]/class/block/sda. Diese Option ist eine Alternative zum Positionsargument mit einem /sys/-Präfix. udevadm info --path=/class/block/sda ist äquivalent zu udevadm info /sys/class/block/sda.

-n, --name=DATEI
    Der Name des abzufragenden Geräteknotens oder Symlinks z.B. [/dev/]/sda. Diese Option ist eine Alternative zum Positionsargument mit einem /dev/-Präfix. udevadm info --name=sda ist äquivalent zu udevadm info /dev/sda.

-r, --root
    Gibt in einer name- oder symlink-Abfrage absolute Pfade aus.

-a, --attribute-walk
    Gibt alle Sysfs-Eigenschaften des festgelegten Gerätes aus, die in Udev-Regeln zum Vergleich mit dem festgelegten Gerät verwandt werden können. Es gibt alle Geräte entlang der Kette aus, bis zur Wurzel von Sysfs, die in Udev-Regeln verwandt werden können.

-x, --export
    Ausgabe als Schlüssel/Wert-Paare. Werte werden in einzelne englische Anführungszeichen eingeschlossen. Dies wird nur wirksam, wenn --query=property oder --device-id-of-file=DATEI festgelegt ist.

-P, --export-prefix=NAME
    Fügt zum Schlüsselnamen von exportierten Werten ein Präfix hinzu. Dies impliziert --export.

-d, --device-id-of-file=DATEI
    Gibt die Major/Minor-Nummer des darunter liegenden Gerätes aus, auf dem sich die Datei befindet. Falls dies angegeben wird, werden die Positionsargumente ignoriert.

-e, --export-db
    Exportiert den Inhalt der Udev-Datenbank.

-c, --cleanup-db
    Bereinigt die Udev-Datenbank.

-w[SEKUNDEN], --wait-for-initialization[=SEKUNDEN]
    Wartet auf die Initialisierung des Gerätes. Falls das Argument SEKUNDEN nicht angegeben ist, ist die Vorgabe, unendlich zu warten.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

Die erstellte Ausgabe zeigt die aktuellen Gerätedatenbankeinträge in einem knappen Format. Jeder dargestellten Zeile wird eines der folgenden Zeichen vorangestellt:

Tabelle 1. Präfixe der Udevadm-Informationsausgabe
Präfix | Bedeutung
"P:" | Gerätepfad in /sys/
"N:" | Kernel-Geräteknoten-Name
"L:" | Geräteknoten-Symlink-Priorität
"S:" | Geräteknoten-Symlink
"E:" | Geräteeigenschaft

  udevadm trigger [Options] [Gerätepfad|Datei|Unit]

Fordert Geräteereignisse vom Kernel an. Hauptsächlich zur erneuten Wiedergabe von Ereignissen zum Zeitpunkt des Einsteckens von Geräten vor dem Systemstart.

Akzeptiert Geräteangaben als Positionsargumente. Siehe die vorhergehende Beschreibung von info.

-v, --verbose
    Gibt die Liste von Geräten aus, die ausgelöst werden.

-n, --dry-run
    Löst das Ereignis nicht wirklich aus.

-q, --quiet
    Unterdrückt Fehlerprotokollierung bei auslösenden Ereignisse.

-t, --type=TYP
    Löst einen bestimmten Gerätetyp aus. Gültige Typen sind: devices, subsystems. Der Vorgabewert ist devices.

-c, --action=AKTION
    Typ des auszulösenden Ereignisses. Mögliche Aktionen sind »add«, »remove«, »change«, »move«, »online«, »offline«, »bind« und »unbind«. Auch kann der besondere Wert »help« dazu verwandt werden, die möglichen Aktionen aufzulisten. Der Vorgabewert ist »change«.

-s, --subsystem-match=SUBSYSTEM
    Löst Ereignisse für Geräte, die zu einem passenden Subsystem gehören, aus. Diese Option unterstützt Shell-artige Mustervergleiche. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, alle Geräte in jedem Subsystem werden ausgelöst.

-S, --subsystem-nomatch=SUBSYSTEM
    Löst keine Ereignisse für Geräte, die zu einem passenden Subsystem gehören, aus. Diese Option unterstützt Shell-artige Mustervergleiche. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit UND verbunden. Dies bedeutet, dass Geräte, die auf keines der festgelegten Subsysteme passen, ausgelöst werden.

-a, --attr-match=ATTRIBUT=WERT
    Löst Ereignisse für Geräte mit übereinstimmenden Sysfs-Attributen aus. Wird zusammen mit dem Attributnamen ein Wert festgelegt, wird der Inhalt des Attributes mit dem übergebenen Wert mit Shell-artigem Mustervergleich verglichen. Falls kein Wert festgelegt ist, wird auf die Existenz des Sysfs-Attributes geprüft. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit UND verbunden. Dies bedeutet, dass nur Geräte, die alle der festgelegten Attribute haben, ausgelöst werden.

-A, --attr-nomatch=ATTRIBUT=WERT
    Löst keine Ereignisse für Geräte mit übereinstimmenden Sysfs-Attributen aus. Wird zusammen mit dem Attributnamen ein Wert angegeben, wird der Inhalt des Attributes mit dem übergebenen Wert mit Shell-artigem Mustervergleich verglichen. Falls kein Wert angegeben ist, wird auf die Existenz des Sysfs-Attributes geprüft. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit UND verbunden. Dies bedeutet, dass nur Geräte, die keines der festgelegten Attribute haben, ausgelöst werden.

-p, --property-match=EIGENSCHAFT=WERT
    Löst Ereignisse für Geräte mit übereinstimmendem Eigenschaftswert aus. Diese Option unterstützt Shell-artige Mustervergleiche. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, dass Geräte, die eine der festgelegten Eigenschaften haben, ausgelöst werden.

-g, --tag-match=MARKIERUNG
    Löst Ereignisse für Geräte mit übereinstimmender Markierung aus. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit UND verbunden. Dies bedeutet, dass Geräte, die alle der festgelegten Markierungen haben, ausgelöst werden.

-y, --sysname-match=NAME
    Löst Ereignisse für Geräte aus, deren letzte Komponente (d.h. der Dateiname) des /sys/-Pfades auf den festgelegten PFAD passt. Diese Option unterstützt Shell-artige Mustervergleiche. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, dass Geräte, die eine der angegebenen NAMEn haben, ausgelöst werden.

--name-match=NAME
    Löst Ereignisse für Geräte mit passendem Gerätepfad aus. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, dass alle festgelegten Geräte ausgelöst werden.

-b, --parent-match=SYSPFAD
    Löst Ereignisse für alle nachgeordneten Geräte eines gegebenen Geräts aus. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, dass alle nachgeordneten Geräte von jedem angegebenen Gerät ausgelöst werden.

-w, --settle
    Neben dem Auslösen von Ereignissen wird auch auf den Abschluss dieser Ereignisse gewartet. Beachten Sie, dass sich dies vom Aufruf udevadm settle unterscheidet. udevadm settle wartet auf den Abschluss aller Ereignisse. Diese Option wartet nur auf den Abschluss von Ereignissen, die durch den gleichen Befehl ausgelöst wurden.

--uuid
    Löst Ereignisse für synthetische Geräte aus und ordnet jedem eine zufällige UUID zu. Diese UUIDs werden auf der Standardausgabe dargestellt, eine Zeile für jedes Ereignis. Diese UUIDs werden in dem Uevent-Umgebungsblock aufgenommen (in der Eigenschaft »SYNTH_UUID=«) und können zur Nachverfolgung der erstellten Ereignisse verwandt werden.

--wait-daemon[=SEKUNDEN]
    Vor dem Auslösen von Uevents wird auf die Initialisierung des Daemons systemd-udevd gewartet. Akzeptiert optional einen Zeitüberschreitungswert. Vorgabezeitüberschreitung ist 5 Sekunden. Dies ist äquivalent zum Aufruf von udevadm control --ping vor udevadm trigger.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

Zusätzlich können optionale Positionsargumente zur Angabe von Gerätenamen oder Sys-Pfaden verwandt werden. Sie müssen mit /dev/ bzw. /sys/ beginnen.

  udevadm settle [Optionen]

Überwacht die Udev-Ereigniswarteschlange und beendet sich, falls alle aktuellen Ereignisse behandelt wurden.

-t, --timeout=SEKUNDEN
    Maximale Anzahl an Sekunden, die gewartet wird, dass sich die Ereigniswarteschlange leert. Der Vorgabewert ist 120 Sekunden. Ein Wert von 0 wird prüfen, ob die Warteschlange leer ist und immer sofort zurückkehren. Ein von Null verschiedener Wert wird einen Exit-Wert von 0 zurückliefern, falls die Warteschlange sich leerte, bevor die Zeitüberschreitung erreicht wurde, ansonsten ist der Wert von 0 verschieden.

-E, --exit-if-exists=DATEI
    Beendet das Warten, falls die Datei existiert.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

Siehe systemd-udev-settle.service(8) für weitere Information.

  udevadm control Option

Verändert den internen Zustand des laufenden Udev-Daemons.

-e, --exit
    Signalisiert und wartet auf das Beenden von systemd-udevd. Außer --timeout kann nach dieser Option keine Option angegeben werden. Beachten Sie, dass systemd-udevd.service Restart=always enthält, und daher diese Option im Ergebnis systemd-udevd neustartet. Falls Sie systemd-udevd.service stoppen möchten, verwenden Sie bitte Folgendes:

        systemctl stop systemd-udevd-control.socket systemd-udevd-kernel.socket systemd-udevd.service

-l, --log-level=Wert
    Setzt die interne Protokollierstufe von Systemd-udevd. Gültige Werte sind die numerischen Syslog-Prioritäten oder ihre textuellen Darstellungen: emerg, alert, crit, err, warning, notice, info und debug.

-s, --stop-exec-queue
    Signalisiert Systemd-udevd, die Ausführung neuer Ereignisse zu stoppen. Eingehende Ereignisse kommen in die Warteschlange.

-S, --start-exec-queue
    Signalisiert Systemd-udevd, die Ausführung von Ereignissen zu aktivieren.

-R, --reload
    Signalisiert Systemd-udevd, alle Regeldateien und andere Datenbanken wie den Kernelmodulindex neu zu laden. Das Neuladen von Regeln und Datenbanken führt nicht dazu, dass auf bereits bestehende Geräte Änderungen angewandt werden; die neue Konfiguration wird nur auf neue Ereignisse angewandt.

-p, --property=SCHLÜSSEL=Wert
    Setzt eine globale Eigenschaft für alle Ereignisse.

-m, --children-max=Wert
    Setzt die maximale Anzahl an Ereignissen, die Systemd-udevd gleichzeitig bearbeiten wird.

--ping
    Sendet eine Ping-Meldung an Systemd-udevd und wartet auf die Antwort. Dies kann nützlich sein, um zu prüfen, ob der Daemon systemd-udevd läuft.

-t, --timeout=Sekunden
    Die maximale Anzahl an Sekunden, die auf eine Antwort von Systemd-udevd gewartet werden soll.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

  udevadm monitor [Optionen]

Wartet auf die Kernel-Uevents und die durch Udev-Regeln ausgesandten Ereignisse und gibt den Gerätepfad des Ereignisses auf der Konsole aus. Dies kann zur Analyse des Zeitablaufs der Ereignisse verwandt werden, indem die Zeitstempel der Kernel-Uevents und des Udev-Ereignisses verglichen werden.

-k, --kernel
    Gibt die Kernel-Uevents aus.

-u, --udev
    Gibt das Udev-Ereignis nach der Regelverarbeitung aus.

-p, --property
    Gibt auch die Eigenschaften des Ereignisses aus.

-s, --subsystem-match=Zeichenkette[/Zeichenkette]
    Filtert Kernel-Uevents und Udev-Ereignisse nach Subsystem[/Gerätetyp]. Nur Ereignisse mit passendem Subsystemwert werden akzeptiert. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, dass alle Geräte in den festgelegten Subsystemen überwacht werden.

-t, --tag-match=Zeichenkette
    Filtert Udev-Ereignisse nach Markierung. Nur Udev-Ereignisse mit einer gegebenen Markierung werden akzeptiert. Wird diese Option mehr als einmal angegeben, dann werden die Vergleichsergebnisse mit ODER verbunden. Dies bedeutet, dass alle Geräte, die eine der festgelegten Markierungen haben, überwacht werden.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

  udevadm test [Optionen] [Gerätepfad]

Simuliert einen Udev-Ereignislauf für das angegebene Gerät und gibt Fehlersuchausgaben aus.

-a, --action=AKTION
    Typ des zu simulierenden Ereignisses. Mögliche Aktionen sind »add«, »remove«, »change«, »move«, »online«, »offline«, »bind« und »unbind«. Der besondere Wert »help« kann auch zur Anzeige möglicher Aktionen verwandt werden. Der Vorgabewert ist »add«.

-N, --resolve-names=early|late|never
    Gibt an, wann Udevadm die Namen von Benutzern und Gruppen auflösen soll. Falls auf early gesetzt (die Vorgabe), werden Namen aufgelöst, wenn die Regeln ausgewertet werden. Falls auf late gesetzt, werden die Namen für jedes Ereignis aufgelöst. Falls auf never gesetzt, werden die Namen niemals aufgelöst und alle Geräte gehören root.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

  udevadm test-builtin [Optionen] [Befehl] [Gerätepfad]

Führt einen eingebauten Befehl BEFEHL für Gerät GERÄTEPFAD aus und gibt Fehlersuchausgaben aus.

-a, --action=AKTION
    Typ des zu simulierenden Ereignisses. Mögliche Aktionen sind »add«, »remove«, »change«, »move«, »online«, »offline«, »bind« und »unbind«. Der besondere Wert »help« kann auch zur Anzeige möglicher Aktionen verwandt werden. Der Vorgabewert ist »add«.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

SIEHE AUCH

udev(7), systemd-udevd.service(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).